Skip to main content
PUT
TypeScript

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

Example:

"org_8f3kd92ld0"

Body

application/json
primaryColor
string | null

Primary brand color (hex) — tints the document title and table headers

Pattern: ^#[0-9a-fA-F]{6}$
Example:

"#1D4ED8"

secondaryColor
string | null

Secondary brand color (hex) — tints the subtitle, section headings, and totals accent

Pattern: ^#[0-9a-fA-F]{6}$
Example:

"#F59E0B"

Response

Default Response

primaryColor
string | null
required

Primary brand color (hex)

Example:

"#1D4ED8"

secondaryColor
string | null
required

Secondary brand color (hex)

Example:

"#F59E0B"

logoUrl
string | null
required

Authenticated URL to download the org logo image, or null if no logo is set

Example:

"/orgs/org_123/branding/logo"